Bug 1129411 - host-only initramfs grows and grows
Summary: host-only initramfs grows and grows
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 17:05 UTC by Harald Reindl
Modified: 2015-06-29 22:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:02:25 UTC


Attachments (Terms of Use)
output of lsinitrd -s (128.65 KB, text/plain)
2014-08-14 10:13 UTC, Harald Reindl
no flags Details

Description Harald Reindl 2014-08-12 17:05:27 UTC
the promise of http://fedoraproject.org/wiki/Features/DracutHostOnly as default was to reduce the size - on virtual servers the opposite is true for users which always built host-only

this is for sure dracut itself and not the kernel because i have a legacy F17 VM running a F19 kernel - that below are all VMware guests

so what is the improvement by switch all users to host-only and make hardware changes problematic while let explode the size for stripped down machines?

F17: 4,0M 2014-08-01 12:14 initramfs-3.14.15-100.fc19.x86_64.img
F19: 5,9M 2014-08-01 12:18 initramfs-3.14.15-100.fc19.x86_64.img
F20: 8,0M 2014-08-12 17:17 initramfs-3.15.9-200.fc20.x86_64.img
F21: 9,0M 2014-08-06 17:52 initramfs-3.16.0-1.fc21.x86_64.img

Comment 1 Harald Hoyer 2014-08-14 09:39:32 UTC
- systemd in the initramfs
- kernel modules got bigger
- libraries got bigger

You might want to use:

# lsinitrd -s <image>

to see the biggest files.

Comment 2 Harald Reindl 2014-08-14 09:47:59 UTC
F17:  421 files
F20: 1371 files

same virtual hardware and environment

my impression is that more and more things are added to 
the initramfs over the time and defeat the intention of
"host-only"

Comment 3 Harald Reindl 2014-08-14 09:50:15 UTC
F19: 5,9M 2014-08-01 12:18 initramfs-3.14.15-100.fc19.x86_64.img
F20: 8,0M 2014-08-12 17:17 initramfs-3.15.9-200.fc20.x86_64.img

well, and a non-hostonly one growed from 18 MB to 19 MB
because yesterday i upgraded a physical host which had
a 18 MB initramfs all the time

so the host-only grows much more than the large one

Comment 4 Harald Hoyer 2014-08-14 10:07:59 UTC
Oh, please check if dracut-network is installed on any of the machines with the bigger images. I know that one of the stupid kexec packages pulls it in.

Comment 5 Harald Reindl 2014-08-14 10:13:27 UTC
Created attachment 926733 [details]
output of lsinitrd -s

i attached the output of "lsinitrd -s"

that's the "golden master" VM with virtually nothing installed
and short ago upgraded to Fedora 20

Comment 6 Harald Hoyer 2014-08-14 10:20:39 UTC
Because people complained about not being able to switch their keyboard and font layout without regenerating the initramfs, we now include all keymaps and fonts.

You might want to disable this, if you don't need that:

# echo 'i18n_install_all="no"' > /etc/dracut.conf.d/i18n_install_all_off.conf


Hope that helps you save some files and MBs.

Comment 7 Harald Reindl 2014-08-14 10:48:40 UTC
that don't work as you expected :-(

dracut-037-11.git20140402.fc20.x86_64

[root@localhost:/boot]$ cat /etc/dracut.conf.d/i18n_install_all_off.conf
i18n_install_all="no"

* root root 8,0M 2014-08-12 21:47 initramfs-3.15.9-200.fc20.x86_64.img
* dracut -f
* root root 8,0M 2014-08-14 12:43 initramfs-3.15.9-200.fc20.x86_64.img

lsinitrd -s | wc -l
1370
_____________________________________________________________________

"Because people complained" was the reason why i complained about the idea making host-only the default because previously it was an active decision with drawbacks one had to consider, no it needs to make compromises left and right and defeats the intention

Comment 8 Harald Hoyer 2014-08-14 10:56:07 UTC
(In reply to Harald Hoyer from comment #6)
> Because people complained about not being able to switch their keyboard and
> font layout without regenerating the initramfs, we now include all keymaps
> and fonts.
> 
> You might want to disable this, if you don't need that:
> 
> # echo 'i18n_install_all="no"' > /etc/dracut.conf.d/i18n_install_all_off.conf
> 
> 
> Hope that helps you save some files and MBs.

doh.. bug.. try:

# echo 'unset i18n_install_all' > /etc/dracut.conf.d/i18n_install_all_off.conf

Comment 10 Harald Reindl 2014-08-14 11:14:50 UTC
echo 'unset i18n_install_all' > /etc/dracut.conf.d/i18n_install_all_off.conf
works, thanks - i don't get the context of the fix - does that mean the now working solution is temporary and after a dracut-update i need to change that to i18n_install_all="no" as proposed above

6 MB instead 8 MB is a lot better!
root root 6,0M 2014-08-14 13:12 initramfs-3.15.9-200.fc20.x86_64.img

Comment 11 Harald Hoyer 2014-08-14 12:56:48 UTC
(In reply to Harald Reindl from comment #10)
> echo 'unset i18n_install_all' > /etc/dracut.conf.d/i18n_install_all_off.conf
> works, thanks - i don't get the context of the fix - does that mean the now
> working solution is temporary and after a dracut-update i need to change
> that to i18n_install_all="no" as proposed above
> 
> 6 MB instead 8 MB is a lot better!
> root root 6,0M 2014-08-14 13:12 initramfs-3.15.9-200.fc20.x86_64.img

Your config will work, even after the bugfix hits your system.

It just makes i18n_install_all="no" work as expected.

Comment 12 Fedora End Of Life 2015-05-29 12:37:07 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:02:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.